 /*  Ausrichtungen   */
.txtLeft,
.textLeft {
    text-align:left;
}
.txtCenter,
.textCenter {
    text-align:center;
}
.txtRight,
.textRight {
    text-align:right;
}
.txtBlock,
.textBlock {
    display:block;
    text-align:justify;
}
.centerContent {
    margin-right:auto;
    margin-left:auto;
    text-align:center;
}
.leftContent {
    margin-right:auto;
    margin-left:0;
    text-align: left;
}
.rightContent {
    margin-right:0;
    margin-left:auto;
    text-align: right;
}

.buttonBottom {
    margin-top: auto !important;
}


/*   Text Styles   */
.txtBold {
    font-weight: bold;
}
.txtItalic {
    font-style: italic;
}

/* Text Transformation */
.txtUppercase {
    text-transform: uppercase;
}
.txtLowercase {
    text-transform: lowercase;
}
.txtCapitalize {
    text-transform: capitalize;
}

/* Text Größe */
.txtSmaller, .txtSmaller p {
font-size: var(--font_size04);
}
.txtBigger, .txtBigger p {
   font-size: var(--font_size07);
}


/*   Bild-Eigenschaften   */
.greyscale figure img,
figure.imgGrayscale img {
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
    will-change: filter;
    transition: filter 0.5s;
}
.greyscale figure img:hover,
figure.imgGrayscale img:hover {
    -webkit-filter: grayscale(0%);
    filter: grayscale(0%);
}
.zoom_normal figure,
figure.zoom_normal,
.blur figure,
figure.blur {
    overflow:hidden;
}
.zoom_normal figure img,
figure.zoom_normal img {
    will-change: transform;
    transition: transform 0.5s ease-in-out;
}
.zoom_normal figure:hover img,
figure.zoom_normal:hover img {
    transform: scale(1.05);
}
.blur .matterGrid-item figure img,
.blur figure img,
figure.blur img {
    will-change: filter;
    transition: filter 0.5s ease-in-out;
}
.blur .matterGrid-item:hover figure img,
.blur figure:hover img,
figure.blur:hover img {
    filter: blur(6px);
}


/* Gaps */
.padTop_025 {
    padding-top:.25rem;
}
.padTop_05 {
    padding-top:.5rem;
}
.padTop_075 {
    padding-top:.75rem;
}
.padTop_1 {
    padding-top:1rem;
}
.padTop_15 {
    padding-top:1.5rem;
}
.padTop_2 {
    padding-top:2rem;
}
.padTop_25 {
    padding-top:2.5rem;
}
.padTop_3 {
    padding-top:3rem;
}
.padTop_35 {
    padding-top:3.5rem;
}
.padTop_4 {
    padding-top:4rem;
}
.padTop_45 {
    padding-top:4.5rem;
}
.padTop_5 {
    padding-top:5rem;
}
.padTop_55 {
    padding-top:5.5rem;
}
.padTop_6 {
    padding-top:6rem;
}
.padTop_65 {
    padding-top:6.5rem;
}
.padTop_7 {
    padding-top:7rem;
}
.padTop_75 {
    padding-top:7.5rem;
}
.padTop_8 {
    padding-top:8rem;
}

.padRight_025 {
    padding-right:.25rem;
}
.padRight_05 {
    padding-right:.5rem;
}
.padRight_075 {
    padding-right:.75rem;
}
.padRight_1 {
    padding-right:1rem;
}
.padRight_15 {
    padding-right:1.5rem;
}
.padRight_2 {
    padding-right:2rem;
}
.padRight_25 {
    padding-right:2.5rem;
}
.padRight_3 {
    padding-right:3rem;
}
.padRight_35 {
    padding-right:3.5rem;
}
.padRight_4 {
    padding-right:3rem;
}
.padBottom_025 {
    padding-bottom:.25rem;
}
.padBottom_075 {
    padding-bottom:.75rem;
}
.padBottom_1 {
    padding-bottom:1rem;
}
.padBottom_15 {
    padding-bottom:1.5rem;
}
.padBottom_2 {
    padding-bottom:2rem;
}
.padBottom_25 {
    padding-bottom:2.5rem;
}
.padBottom_3 {
    padding-bottom:3rem;
}
.padBottom_35 {
    padding-bottom:3.5rem;
}
.padBottom_4 {
    padding-bottom:4rem;
}
.padBottom_05 {
    padding-bottom:.5rem;
}
.padLeft_025 {
    padding-left:.25rem;
}
.padLeft_05 {
    padding-left:.5rem;
}
.padLeft_075 {
    padding-left:.75rem;
}
.padLeft_1 {
    padding-left:1rem;
}
.padLeft_15 {
    padding-left:1.5rem;
}
.padLeft_2 {
    padding-left:2rem;
}
.padLeft_25 {
    padding-left:2.5rem;
}
.padLeft_3 {
    padding-left:3rem;
}
.padLeft_35 {
    padding-left:3.5rem;
}
.padLeft_4 {
    padding-left:3rem;
}

/* Überschriften und Textabstände unten*/
.marBottom_0,
.marBottom_0 h1,
.marBottom_0 h2,
.marBottom_0 h3,
.marBottom_0 h4,
.marBottom_0 h5,
.marBottom_0 h6,
.marBottom_0 p {
    margin-bottom: 0;
}
.marBottom_half,
.marBottom_half h1,
.marBottom_half h2,
.marBottom_half h3,
.marBottom_half h4,
.marBottom_half h5,
.marBottom_half h6,
.marBottom_half p {
    margin-bottom:.5em;
}
.marpc_0_0_3_0 {
    margin-bottom:3%;
}


/*  Linien   */
.lineTop05, .lineTop1, .lineTop2 {
    border-top:1px solid var(--gry50);
}
.lineBottom05, .lineBottom1, .lineBottom2 {
    border-bottom:1px solid var(--gry50);
}
.lineTop05 {
    margin-top:0.5rem;
    padding-top:0.5rem;
}
.lineTop1 {
    margin-top:1rem;
    padding-top:1rem;
}
.lineTop2 {
    margin-top:2rem;
    padding-top:2rem;
}
.lineBottom05 {
    margin-bottom:0.5rem;
    padding-bottom:0.5rem;
}
.lineBottom1 {
    margin-bottom:1rem;
    padding-bottom:1rem;
}
.lineBottom2 {
    margin-bottom:2rem;
    padding-bottom:2rem;
}

/*  Rahmen   */
.frameGrey50 {
    border:1px solid var(--gry50);
}
.frameGrey80 {
    border:1px solid  var(--gry80);
}
.frameCI001 {
    border:1px solid  var(--ci001);
}

/*  Highlightboxen   */
.highlightbox1,
.highlightbox2,
.highlightbox3,
.highlightbox4,
.highlightbox5,
.highlightbox6,
.frameGrey50,
.frameGrey80,
.frameCI001 {
    position:relative;
    display:block;
    padding:1rem;
    -moz-transition: all 0.3s, ease-in-out 0.2s; 
    -webkit-transition: all 0.3s, ease-in-out 0.2s;
    -o-transition: all 0.3s, ease-in-out 0.2s; 
    transition: all 0.3s, ease-in-out 0.2s;
}
.highlightbox1 {
    background-color: var(--col14);
}
.highlightbox2 {
    background-color: var(--col13);
}
.highlightbox3 {
    background-color: var(--ci001);
    color: var(--col15);
}
.highlightbox4 {
    background-color: var(--ci010);
    color: var(--col15);
}
.highlightbox5 {
    background-color: var(--col15);
}
.highlightbox6 {
    background-color: var(--col00);
    color: var(--col15);
}
.highlightbox1:hover,
.highlightbox2:hover,
.highlightbox3:hover,
.highlightbox4:hover,
.highlightbox5:hover,
.highlightbox6:hover {
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,.33);
}

/*   Schriftfarben   */
.txtBlack {
    color: var(--col00);
}
.txtgray90 {
    color: var(--col01);
}
.txtgray80 {
    color: var(--col02);
}
.txtgray70 {
    color: var(--col03);
}
.txtgray60 {
    color: var(--col04);
}
.txtgray50 {
    color: var(--col05);
}
.txtgray40 {
    color: var(--col06);
}
.txtgray30 {
    color: var(--col07);
}
.txtgray20 {
    color: var(--col08);
}
.txtgray10 {
    color: var(--col09);
}
.txtgrayaaa {
    color: var(--col10);
}
.txtgraybbb {
    color: var(--col11);
}
.txtgrayccc {
    color: var(--col12);
}
.txtgrayddd {
    color: var(--col13);
}
.txtgrayeee {
    color: var(--col14);
}
.txtwhite {
    color: var(--col15);
}
.txtci001 {
    color: var(--ci001);
}
.txtci002 {
    color: var(--ci002);
}
.txtci003 {
    color: var(--ci010);
}

/*   Tabellen   */
.ce_table table,
.ce_text table,
table {
    margin-bottom:2em;
    text-align:left;
    border-collapse:collapse;
}
.ce_table table th,
.ce_text table th,
table th {
    padding: 0.5rem 1rem;
    border-bottom:2px solid var(--gry10);
    font-size: var(--font_size04);
    font-weight:bold;
}
.ce_table table tbody th,
.ce_text table tbody th,
table tbody th {
    padding:0.5rem 1rem;
    border: none;
}
.ce_table table tbody td,
.ce_text table tbody td,
table tbody td {
    padding:0.5rem 1rem;
    font-size: var(--font_size04);
}
.ce_table table tfoot {
    border-top:2px solid var(--gry10);
}
.ce_table table tfoot td {
    padding:1rem;
    font-size: var(--font_size04);
    font-weight:bold;
}
.ce_table table caption,
.ce_text table caption,
table caption {
    padding: 0.5rem 0.25rem;
    text-align:left;
    font-size: var(--font_size_p);
    line-height:1.4em;
}
.ce_table.table50 table {
    width:50%;
}
.ce_table.table60 table {
    width:60%;
}
.ce_table.table70 table {
    width:70%;
}
.ce_table.table80 table {
    width:80%;
}
.ce_table.table90 table {
    width:90%;
}
.ce_table.table100 table {
    width:100%;
}
.ce_table.txtCenter table,
.ce_text.txtCenter table {
    text-align:center;
}
.ce_table.txtRight table,
.ce_text.txtRight table {
    text-align:right;
}
.ce_table.tablelineTB table tbody tr,
.ce_text.tablelineTB table tbody tr {
    border-width:1px 0px;
    border-style:solid;
    border-color: var(--gry10);
}
.ce_table.tablelineAll table thead th,
.ce_table.tablelineAll table tbody th,
.ce_table.tablelineAll table tbody td,
.ce_table.tablelineAll table tfoot td {
    padding:1rem;
    border:1px solid var(--gry10);
    border-collapse:collapse;
}
.ce_table.rowGrayWhite table th,
.ce_table.rowGrayWhite tbody tr.even {
    background-color: var(--gry10);
}
.ce_table.rowGrayWhite tfoot tr {
    background-color: var(--gry20);
}
.ce_table.rowGrayDarkgray table th,
.ce_table.rowGrayDarkgray tbody tr.even {
    background-color: var(--gry20);
}
.ce_table.rowGrayDarkgray tbody tr.odd {
    background-color: var(--gry10);
}

.ce_table.rowCI table th {
    background-color: var(--ci005o02);
    border-bottom: none;
}
.ce_table.rowCI tbody tr.even {
    background-color: var(--ci005o02);
}
.ce_table.rowCI tbody tr.odd {
    background-color: var(--ci005o01);
}
.ce_table.tablelineAll.rowCI table thead th,
.ce_table.tablelineAll.rowCI table tbody th,
.ce_table.tablelineAll.rowCI table tbody td,
.ce_table.tablelineAll.rowCI table tfoot td {
    padding:0.5rem 1rem;
    border-collapse:collapse;
}
